Skip to main content
PATCH
/
api
/
scans
/
{scan_id}
/
results
/
status
Update Result Status Bulk
curl --request PATCH \
  --url https://api.example.com/api/scans/{scan_id}/results/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reviewer_id": 123,
  "review_note": "<string>",
  "false_positive": false,
  "result_ids": [
    "<string>"
  ],
  "apply_to_all_matches": false,
  "filters": {}
}
'
{
  "status": "<string>",
  "updated": 123,
  "result_ids": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

scan_id
string
required

Cookies

antidote_session
string | null

Body

application/json
status
enum<string>
required
Available options:
pending,
reviewed,
marked,
dismissed
reviewer_id
integer | null
review_note
string | null
Maximum string length: 2000
false_positive
boolean
default:false
result_ids
string[]
apply_to_all_matches
boolean
default:false
filters
Filters · object

Response

Successful Response

status
string
required
updated
integer
required
result_ids
string[]